* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background: #090909;
	color: #fff;
	font-family: 'Montserrat', sans-serif;
	overflow-x: hidden;
}

/* ===== HERO ===== */

.hero {
	padding: 120px 20px 50px;
    max-width: 1100px;
    margin: 0 auto;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: center;
	position: relative;
	background: radial-gradient(circle at center, #2a0000 0%, #090909 70%);
	overflow: hidden;
}

/* flashing win light */
.hero::before {
	content: "";
	position: absolute;
	width: 800px;
	height: 400px;
	background: radial-gradient(circle, rgba(255, 215, 0, 0.4) 0%, transparent 60%);
	animation: flash 2s infinite;
	filter: blur(80px);
}

@keyframes flash {

	0%,
	100% {
		opacity: .5;
		transform: scale(1);
	}

	50% {
		opacity: 1;
		transform: scale(1.2);
	}
}

/* jackpot number */
.jackpot {
	font-family: 'Bebas Neue', sans-serif;
	font-size: clamp(100px, 14vw, 150px);
	letter-spacing: 5px;
	background: linear-gradient(90deg, #ffd700, #ff8c00, #ffd700);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	animation: shake 0.8s infinite alternate;
	text-shadow: 0 0 50px rgba(255, 215, 0, 0.8);
}

@keyframes shake {
	from {
		transform: rotate(-2deg) scale(1);
	}

	to {
		transform: rotate(2deg) scale(1.05);
	}
}

.win-text h1 {
	font-size: 50px;
	margin-top: 20px;
	font-weight: 800;
	letter-spacing: 3px;
	color: #ffcc00;
	animation: pulseText 1.5s infinite;
}

p {
    font-size: 20px;
    line-height: 1.5;
	opacity: .85;
}

.table2 {
    --bs-table-bg: #111;
    margin-top: 10px;
}

.table2 th, .table2 td {
    color: #fff!important;
}

.table2 th {
    background: #260101;
}

a {
    text-decoration: none;
    color: #ffcc00;
}

@keyframes pulseText {

	0%,
	100% {
		opacity: 0.7;
	}

	50% {
		opacity: 1;
	}
}

/* CTA */

.cta {
	margin-top: 50px;
}

.cta a {
	display: inline-block;
	padding: 20px 60px;
	font-size: 18px;
	font-weight: 800;
	text-decoration: none;
	background: linear-gradient(90deg, #ff0000, #ffae00);
	border-radius: 60px;
	color: #fff;
	box-shadow: 0 0 40px rgba(255, 0, 0, 0.7);
	transition: .3s;
}

.cta a:hover {
	transform: scale(1.1);
	box-shadow: 0 0 70px rgba(255, 174, 0, 1);
}

/* ===== TOP CASINOS ===== */

.section {
	padding: 80px 10%;
	background: #120000;
}

h2 {
	font-family: 'Bebas Neue', sans-serif;
	font-size: 50px;
	margin-bottom: 3px;
	letter-spacing: 4px;
	color: #ffd700;
}

h3 {
    margin: 30px 0 5px;
}

.casino-table {
	display: grid;
	gap: 20px;
    font-family: 'Bebas Neue', sans-serif;
}

.casino-card {
	background: #1c0000;
	padding: 20px 30px;
	border-radius: 20px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	border: 1px solid rgba(255,255,255,0.05);
	transition: 0.3s;
	position: relative;
}

.casino-card:hover {
	transform: scale(1.03);
	border-color: #ffd700;
}

.casino-info {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
	min-width: 170px;
	z-index: 2;
}

.casino-logo img {
	width: 150px;
	height: auto;
	border-radius: 10px;
	margin-bottom: 10px;
}

.casino-rating {
	font-size: 16px;
	color: #ffd700;
	margin-bottom: 5px;
}

.casino-rating .star {
	font-size: 18px;
	margin: 0 1px;
	color: #555;
}

.casino-rating .star.active {
	color: #ffd700;
}

.casino-bonus {
	position: absolute;
	left: 50%;
    top: 30%;
	transform: translateX(-50%);
	width: 50%;
	text-align: center;
	font-size: 32px;
	font-weight: 600;
	color: #ffae00;
	z-index: 1;
}

.casino-right {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	margin-left: auto;
	z-index: 2;
}

.casino-btn a {
	padding: 12px 28px;
	border-radius: 40px;
	text-decoration: none;
    font-size: 24px;
	font-weight: 600;
	background: #ffae00;
    text-transform: uppercase;
	color: #000;
	transition: 0.3s;
}

.casino-btn a:hover {
	opacity: 0.85;
}

@media (max-width: 768px) {
	.casino-card {
		flex-direction: column;
		text-align: center;
	}

	.casino-bonus {
		position: static;
		transform: none;
		width: 100%;
        margin: 5px 0 30px;
	}

	.casino-right {
		align-items: center;
		margin-left: 0;
		margin-top: 10px;
	}

    .casino-btn {
        margin-bottom: 10px;
    }

    .casino-logo img {
        width: 200px;
    }

    .win-text h1 {
        font-size: 40px;
    }
}

/* ===== CONTENT SECTION ===== */

.content {
	padding: 80px 10%;
	background: #07070c;
}

/* ===== FOOTER ===== */

.footer {
	padding: 50px;
	text-align: center;
	background: #0f0f18;
	font-size: 14px;
	opacity: 0.6;
}

@media(max-width:1000px) {
	h2 {
		font-size: 40px;
	}

    h3 {
		font-size: 26px;
	}

    .table2 {
		display: block;
		max-width: 100%;
		overflow-x: auto;
		-webkit-overflow-scrolling: touch;
	}

    .jackpot-number {
        font-size: 40px;
    }
}

/* ===== CONTENT ===== */

.content {
	padding: 80px 10%;
	background: #090909;
}

/* ===== FOOTER ===== */

.footer {
	padding: 60px;
	text-align: center;
	background: #120000;
	font-size: 14px;
	opacity: .6;
}

.faq-question {
	padding: 1.5rem;
	cursor: pointer;
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-weight: 500;
	font-size: 20px;
    margin-bottom: 20px;
	background-color: #1c0000;
}

.faq-answer {
	padding: 1.2rem;
	font-size: 18px;
	line-height: 1.4;
	background-color: #260101;
    margin-bottom: 20px;
}